Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceDocuments

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/mobile/documents")
      public interface ServiceDocuments
      extends org.fusesource.restygwt.client.RestService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deleteTickets​(String appId, List<TicketDTO> tickets, org.fusesource.restygwt.client.MethodCallback<List<TicketDTO>> callback)` |
    `void` | `getAttachment​(String appId, String attachmentId, org.fusesource.restygwt.client.MethodCallback<AttachmentDTO> callback)` |
    `void` | `getNextPublication​(String appId, String id, String direction, org.fusesource.restygwt.client.MethodCallback<PublicationDTO> callback)` |
    `void` | `getPublication​(String instanceId, String id, String contributionId, String type, org.fusesource.restygwt.client.MethodCallback<PublicationDTO> callback)` |
    `void` | `getPublications​(String instanceId, String topicId, org.fusesource.restygwt.client.MethodCallback<List<PublicationDTO>> callback)` |
    `void` | `getTickets​(String appId, List<TicketDTO> tickets, org.fusesource.restygwt.client.MethodCallback<List<TicketDTO>> callback)` |
    `void` | `getTopics​(String instanceId, String rootTopicId, org.fusesource.restygwt.client.MethodCallback<List<TopicDTO>> callback)` |
    `void` | `getTopicsAndPublications​(String instanceId, String rootTopicId, org.fusesource.restygwt.client.MethodCallback<List<BaseDTO>> callback)` |
    `void` | `publish​(String appId, String pubId, org.fusesource.restygwt.client.MethodCallback<PublicationDTO> callback)` |

- - ### Method Detail

    - #### getTopicsAndPublications

          @GET
          @Path("{appId}/topicsAndPublications/{rootTopicId}")
          void getTopicsAndPublications​(@PathParam("appId")
                                        String instanceId,
                                        @PathParam("rootTopicId")
                                        String rootTopicId,
                                        org.fusesource.restygwt.client.MethodCallback<List<BaseDTO>> callback)

    - #### getTopics

          @GET
          @Path("{appId}/topics/{rootTopicId}")
          void getTopics​(@PathParam("appId")
                         String instanceId,
                         @PathParam("rootTopicId")
                         String rootTopicId,
                         org.fusesource.restygwt.client.MethodCallback<List<TopicDTO>> callback)

    - #### getPublications

          @GET
          @Path("{appId}/publications/{topicId}")
          void getPublications​(@PathParam("appId")
                               String instanceId,
                               @PathParam("topicId")
                               String topicId,
                               org.fusesource.restygwt.client.MethodCallback<List<PublicationDTO>> callback)

    - #### getPublication

          @GET
          @Produces("application/json")
          @Consumes("application/json")
          @Path("{appId}/publication/{id}")
          void getPublication​(@PathParam("appId")
                              String instanceId,
                              @PathParam("id")
                              String id,
                              @QueryParam("contributionId")
                              String contributionId,
                              @QueryParam("type")
                              String type,
                              org.fusesource.restygwt.client.MethodCallback<PublicationDTO> callback)

    - #### getAttachment

          @GET
          @Produces("application/json")
          @Consumes("application/json")
          @Path("{appId}/attachment/{attachmentId}")
          void getAttachment​(@PathParam("appId")
                             String appId,
                             @PathParam("attachmentId")
                             String attachmentId,
                             org.fusesource.restygwt.client.MethodCallback<AttachmentDTO> callback)

    - #### getTickets

          @POST
          @Produces("application/json")
          @Consumes("application/json")
          @Path("{appId}/tickets")
          void getTickets​(@PathParam("appId")
                          String appId,
                          List<TicketDTO> tickets,
                          org.fusesource.restygwt.client.MethodCallback<List<TicketDTO>> callback)

    - #### deleteTickets

          @POST
          @Produces("application/json")
          @Consumes("application/json")
          @Path("{appId}/deletetickets")
          void deleteTickets​(@PathParam("appId")
                             String appId,
                             List<TicketDTO> tickets,
                             org.fusesource.restygwt.client.MethodCallback<List<TicketDTO>> callback)

    - #### getNextPublication

          @GET
          @Produces("application/json")
          @Path("{appId}/nextpublication/{id}/{direction}")
          void getNextPublication​(@PathParam("appId")
                                  String appId,
                                  @PathParam("id")
                                  String id,
                                  @PathParam("direction")
                                  String direction,
                                  org.fusesource.restygwt.client.MethodCallback<PublicationDTO> callback)

    - #### publish

          @POST
          @Produces("application/json")
          @Path("{appId}/publish/{pubId}")
          void publish​(@PathParam("appId")
                       String appId,
                       @PathParam("pubId")
                       String pubId,
                       org.fusesource.restygwt.client.MethodCallback<PublicationDTO> callback)